import { ExamQueryItem } from '@/api/types/exam';
import { SystemInfo } from '@/api/types/user';

export type AppMenuItem = {
  name: string;
  code: string;
  url: string;
  icon: string;
  level: number;
  privilegeType: string;
  privilegeUri: string;
  parentCode: string;
  seq: number;
  children: AppMenuItem[];
};

export interface AppState {
  // 系统信息
  system: SystemInfo;
  appMenus: AppMenuItem[];
  validRoutes: string[];
  breadcrumbs: string[];
  device: string;
  curExam: ExamQueryItem;
}
